/*
 * @Author: Z 1518051043@qq.com
 * @Date: 2025-12-08 17:37:05
 * @LastEditors: zwy 1518051043@qq.com
 * @LastEditTime: 2026-01-04 09:56:36
 * @FilePath: \yuanxinPro\src\api\Zodiac.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%A
 */

import request from '@/utils/request'
// 左侧菜单-星座构型信息
export function stellationInfoApi() {
  return request({
    url: '/constellationInfo/list',
    method: 'get',
   
  })
}
// 左侧菜单-卫星列表信息
export function stellateListInfoApi() {
  return request({
    url: '/SatelliteBasicInfo/list',
    method: 'get',
    
  })
}
// 左侧菜单-地面系统信息
export function siteDataInfoListApi() {
  return request({
    url: '/SiteData/list',
    method: 'get'
   
  })
}


export function siteDataPageErrorInfoApi(data) {
  return request({
    url: '/SiteData/pageError',
    method: 'post',
    params: data
  })
}

export function groundSystemStatisticsInfoApi() {
  return request({
    url: '/GroundSystem/statistics',
    method: 'get',
 
  })
}


export function subSystemStatisticsInfoApi() {

  return request({
    url: '/GroundSystem/statistics',
    method: 'get',
    // data: data
  })
}

export function getSubSystemOpitionListApi(data) {
  return request({
    url: '/subSystem/getSubSystem?subSystemType='+data.subSystemType,
    method: 'get',
   
  })
}

//  console.log("propsDate-min--3333333333--------",{
//     endTime: historyTimeDateRange.value[1],
//     satelliteId: useAppStoreInstance.globalSatelliteSearchID==='0'? "4097": (useAppStoreInstance.globalSatelliteSearchID),
//     startTime: historyTimeDateRange.value[0],
//     subSystemType: arcHistorySubSystemOptions[arcHistoryActiveIndex.value],
//     code: historyCode.value,
//   });
export function getSubSystemCurveListApi(data) {
  return request({
    url: '/subSystem/getSubSystemCurve?satelliteId='+data.satelliteId+'&startTime='+data.startTime+'&endTime='+data.endTime+'&code='+data.code +'&subSystemType='+data.subSystemType,
    method: 'get'
  })
}